-- 1/3 : Création de la table temporaire
DROP TABLE IF EXISTS w_dbsetup
;

CREATE TEMP TABLE w_dbsetup AS
    SELECT code, texte FROM pmsi.t_severites_ghm ORDER BY code LIMIT 0
;

-- 2/3 : Peuplement de la table temporaire
INSERT INTO w_dbsetup(
    code,
    texte
)
VALUES
('*', 'Hors PMSI'),
('1', 'Niveau 1'),
('2', 'Niveau 2'),
('3', 'Niveau 3'),
('4', 'Niveau 4'),
('A', 'Sévérité A'),
('B', 'Sévérité B'),
('C', 'Sévérité C'),
('D', 'Sévérité D'),
('E', 'Décédés'),
('J', 'Ambulatoire'),
('S', 'Avec CMAS (V10)'),
('T', 'Très courte durée'),
('V', 'Sans CMA (V10)'),
('W', 'Avec CMA (V10)'),
('Z', 'Non segmentés')
;

-- 3/3 : Màj de la table iCTI
UPDATE pmsi.t_severites_ghm SET 
	texte = w_dbsetup.texte
FROM w_dbsetup
WHERE 
	t_severites_ghm.code = w_dbsetup.code
	AND (
		t_severites_ghm.texte <> w_dbsetup.texte OR
		t_severites_ghm.texte IS NULL
	);
	
	
INSERT INTO pmsi.t_severites_ghm(code, texte)
SELECT code, texte 
FROM w_dbsetup 
WHERE code NOT IN (SELECT code FROM pmsi.t_severites_ghm);